:root {
  --primary: #36bdf7;
  --primary-dark: #031e32;
  --secondary: #eb7bf9;
  --bglight: #f6f6f6;
  --bgdark: #001018;
}

/* Text utilities */
.text-primary {
  color: var(--primary);
}
.text-primary-dark {
  color: var(--primary-dark);
}
.text-bglight {
  color: var(--bglight);
}

.text-secondary {
  color: var(--secondary);
}

/* Background utilities */
.bg-primary {
  background-color: var(--primary);
}
.bg-primary-dark {
  background-color: var(--primary-dark);
}

.bg-bgsecondary {
  background-color: var(--bgsecondary);
}

.bg-bglight {
  background-color: var(--bglight);
}
.bg-bgdark {
  background-color: var(--bgdark);
}

/* Global styles */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html {
  scroll-behavior: smooth;
  overflow-x: hidden;
}

body {
  overflow-x: hidden;
  scroll-behavior: smooth;
}

body {
  width: 100%;
  font-family: "Roboto", sans-serif;
  color: #343f46;
  background-color: white;
}

.font-libre {
  font-family: "Libre Baskerville", serif;
}

.contain2 {
  max-width: 100%;
  width: 100%;
  margin-left: auto;
  margin-right: auto;
  align-items: center;
}

/* my contain sizes */
@media (min-width: 100px) {
  .contain {
    max-width: 100%;
    width: 100%;
    margin-left: auto;
    margin-right: auto;
    padding-left: 16px;
    padding-right: 16px;
  }
  .paddingy {
    padding-top: 35px;
    padding-bottom: 35px;
  }
  .marginy {
    margin-top: 35px;
    margin-bottom: 35px;
  }
  .text-manually-hero {
    font-size: 35px;
  }
}

@media (min-width: 768px) {
  .contain {
    max-width: 100%;
    width: 90%;
    margin-left: auto;
    margin-right: auto;
    padding-left: 16px;
    padding-right: 16px;
  }
  .paddingy {
    padding-top: 30px;
    padding-bottom: 30px;
  }
  .marginy {
    margin-top: 30px;
    margin-bottom: 30px;
  }
  .text-manually-hero {
    font-size: 38px;
  }
}

@media (min-width: 1024px) {
  .contain {
    max-width: 1200px;
    width: 85%;
    margin-left: auto;
    margin-right: auto;
    align-items: center;
    padding-left: 0px;
    padding-right: 0px;
  }
  .paddingy {
    padding-top: 50px;
    padding-bottom: 50px;
  }
  .marginy {
    margin-top: 50px;
    margin-bottom: 50px;
  }
  .text-manually-hero {
    font-size: 40px;
  }
}

@media (min-width: 1280px) {
  .text-manually-hero {
    font-size: 43px;
  }
}

@media (min-width: 1500px) {
  .contain {
    max-width: 1200px;
    width: 80%;
    margin-left: auto;
    margin-right: auto;
    align-items: center;
    padding-left: 0px;
    padding-right: 0px;
  }
  .paddingy {
    padding-top: 60px;
    padding-bottom: 60px;
  }
  .marginy {
    margin-top: 60px;
    margin-bottom: 60px;
  }
  .text-manually-hero {
    font-size: 50px;
  }
  .text-manually-header {
    font-size: 50px;
  }
}

/* Reset Swiper default arrow styles */
.swiper-button-prev,
.swiper-button-next {
  position: static !important;
  width: auto !important;
  height: auto !important;
  margin: 0 !important;
  color: inherit !important;
}

/* Hide the default pseudo arrows */
.swiper-button-prev::after,
.swiper-button-next::after {
  display: none !important;
  content: "" !important;
}

.text-shadow-glow {
  text-shadow: 0 0 18px rgba(255, 255, 255, 0.6);
}

.underline-ltr {
  position: relative;
  display: inline-block;
  line-height: 1.3;
  background-image: linear-gradient(#36bdf7, #36bdf7);
  background-size: 0% 2px;
  background-position: 0 100%;
  background-repeat: no-repeat;
  transition: background-size 0.3s ease;
}

.underline-ltr:hover {
  background-size: 100% 2px;
}
